// Code pour Node.js : récupérer des paramètres nom et prenom et de retourner un format XML avec
// Méthode POST

// Vous devez installer le module express pour node.js pour faire tourner ce code

// Il faut utiliser "node exemple4.js" pour démarrer ce serveur

const express = require('express');
const app = express();

app.use(express.urlencoded({ extended: true }));

app.post('/test', (req, res) => {
  const prenom = req.body.prenom ?? 'Inconnu';
  const nom = req.body.nom ?? 'Inconnu';
  res.setHeader('Access-Control-Allow-Origin', '*'); 
  res.type( "application/xml" ).send(`<personne><prenom>${prenom}</prenom><nom>${nom}</nom></personne>`);
});

app.listen(7000, () => console.log('Serveur démarré sur http://localhost:7000/test'));
